Subject: Re: less and [D
From: [email-masked] (Jan Tomasek)

15 Sep 1998 20:48:36 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Michael Weiser <[email-masked]>,
        "[email-masked]" <[email-masked]>

Hi Michael you solve some my problems and make new. Thanks :-)

> >2. Is chance to make bash faster? I unset MAILCHECK but it's
> >   still slow. When I press right arrow key bash will print [D,
> What exactly do you mean? Are there pauses or is it just incredibly
> slow?
By slow I mean console speed I wrote about my discover in mail 'Console 
speed'.

With keyboard I've this problem when I press and left it pressed some
function key bash prints parts of esc sequention to screen. For
right arrow that should look like this 
	~$ ls -l /usr/lo[D[D[D[Dcal
problem was solved whena I add environment variable	
	CYGWIN32=tty
But new one is here: if i press one time arrow key its buffered but no
action is made, action is made after I press some normal key, here is
example:
	at begin I've this line, cursor is on end of line
		~$ ls -l /usr/local
	I press three times right arrow
		~$ ls -l /usr/local
	cursor is STIL at end of line, I press 'normal' key "-"
	and resul is 
		~$ ls -l /usr/lo-cal
	cursor is on right place ???

> Some special keys have to be defined in ~/.inputrc to work. For me
I create .inputrc in my home but it have no efect to problem.
	set enable-keypad On
	set meta-flag On
	set convert-meta Off
	set output-meta On
	"\e[3~": delete-char
	"\e[4~": end-of-line

Thanks Jan
-- 
                            Jan Tomasek,          student FEL-CVUT
                            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
                            e-mail: [email-masked]
                            www: http://www.feld.cvut.cz/~xtomasej
                            ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

  Please, be patient with long answer time. For holidays I've only
  dial-up connection. I'm reading new mails every day after 7pm 
  central european.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".